Subject: Re: What's the best way to make my company migrate to Git?

From: Andrew Sayers <[email-masked]>
Date: Sun, 23 May 2010 16:06:21 +0100

On 23/05/10 10:11, Lin Mac wrote:
> My colleague shows amazing insterest on "git add -p".
> "see? you could decided what to add to the commit and what no to. you
> don't have to always clean the code before you commit...."
> With git-svn, he started to use git since then.

I had a similar experience - a colleague with a habit of making huge
commits happily cleaned up his act when he was shown this.  More
generally, it seems like everyone reacts to the list of git features
with "that one's weird, I don't care about that one, that one's
irritating, WHERE HAS THIS BEEN ALL MY LIFE!, don't care about that one,
that one doesn't make sense...".  A major part of selling people on git
is finding the one thing that they each immediately love.

	- Andrew